/** @format */

import * as React from 'react';
import {interfaceStatus} from '../../const/status';
import Select, {SelectProps, SelectOptionProp} from './select';
const options: SelectOptionProp[] = [];
for (let k in interfaceStatus) {
    if (isNaN(k as any)) {
        options.push({
            key: Number(interfaceStatus[k]),
            value: Number(interfaceStatus[k]),
            label: k,
        });
    }
}
/**
 * 商户认证状态
 */
export default React.forwardRef((props: SelectProps, ref) => {
    return <Select ref={ref} leftText='状态' placeholder='请选择状态' options={options} {...props} />;
});
